Get KML Video Track

Get the GPS track for a video in KML format.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

API Library Examples

from fulcrum import Fulcrum
import json
fulcrum = Fulcrum('{token}')

tracks = fulcrum.videos.track('{id}', 'kml')

with open('track.kml', 'w') as f:
  json.dump(tracks, f)
import { FulcrumClient, FulcrumRegion } from '@fulcrumapp/fulcrum-js';
import * as fs from 'node:fs/promises';
const client = new FulcrumClient({
  apiKey: '{token}',
  // Use the region configured for your Fulcrum account.
  region: FulcrumRegion.US
});

client.videos.getSingleTrackKml('{id}')
  .then(response => fs.writeFile('track.kml', response.data))
  .then(() => console.log('Track downloaded!'))
  .catch(error => console.error(error.message));
require 'fulcrum'

client = Fulcrum::Client.new('{token}')

track = client.videos.track('{id}', 'kml')

File.open('track.kml','w') do |f|
  f.write(track)
end
Path Params
string
required

The unique identifier of the video.

Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json